libzypp 17.37.10

Resolver.cc File Reference
`#include <iostream>`
`#include <zypp/Resolver.h>`
`#include <zypp/solver/detail/Resolver.h>`
`#include <zypp/solver/detail/Testcase.h>`
`#include <zypp/solver/detail/ItemCapKind.h>`
`#include <zypp/sat/Transaction.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Macros
#define | ZYPP_USE_RESOLVER_INTERNALS
#define | ZOLV_FLAG_BOOL(ZSETTER, ZGETTER)
#define | ZOLV_FLAG_TRIBOOL(ZSETTER, ZDEFAULT, ZGETTER)

## Functions
| zypp::IMPL_PTR_TYPE (Resolver)
std::ostream & | zypp::operator<< (std::ostream &str, const Resolver &obj)

## Macro Definition Documentation

## ◆ ZYPP_USE_RESOLVER_INTERNALS

#define ZYPP_USE_RESOLVER_INTERNALS

Definition at line 14 of file Resolver.cc.

## ◆ ZOLV_FLAG_BOOL

#define ZOLV_FLAG_BOOL | ( |  | ZSETTER,
|  |  | ZGETTER )

Value:
void Resolver::ZSETTER( bool yesno_r ){ _pimpl->ZSETTER( yesno_r ); } \
bool Resolver::ZGETTER() const { return _pimpl->ZGETTER(); } \

Definition at line 123 of file Resolver.cc.

## ◆ ZOLV_FLAG_TRIBOOL

#define ZOLV_FLAG_TRIBOOL | ( |  | ZSETTER,
|  |  | ZDEFAULT,
|  |  | ZGETTER )

Value:
ZOLV_FLAG_BOOL( ZSETTER , ZGETTER ) \
void Resolver::ZDEFAULT() { _pimpl->ZSETTER( indeterminate ); } \
ZOLV_FLAG_BOOL
#define ZOLV_FLAG_BOOL(ZSETTER, ZGETTER)
Definition Resolver.cc:123

Definition at line 127 of file Resolver.cc.